
QGIS Application - Bug report #13064

DBManager topoviewer should zoom to topology extent when loading in empty map

2015-07-02 02:04 AM - Sandro Santilli

Status: Closed

Priority: Normal

Assignee: Sandro Santilli

Category: DB Manager

Affected QGIS version:2.8.2 Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: fixed/implemented

Crashes QGIS or corrupts data:No Copied to github as #: 21134

Description

When loading a topology in an empty map, the topoviewer DBManager plugin should zoom to the topology extent.

For some reason I thought it would have been automatic (zoom to first layer added to map) but this is not happening for the topoviewer.

Associated revisions

Revision b9b6257e - 2015-07-02 11:57 PM - Sandro Santilli 

DBManager TopoViewer: zoom on topology if first load

Fixes #13064

Revision da949161 - 2015-07-03 04:51 PM - Sandro Santilli 

DBManager TopoViewer: zoom on topology if first load

Fixes #13064

(backport of b9b6257eb7b6d475c4f9e0a5a540c9267aa87c95)

History

#1 - 2015-07-02 02:58 PM - Sandro Santilli

- Status changed from Open to Closed

Fixed in changeset commit:"b9b6257eb7b6d475c4f9e0a5a540c9267aa87c95".

#2 - 2015-07-02 03:00 PM - Sandro Santilli

Giovanni could we get a 2.8.3 entry in Target Version ?

#3 - 2015-07-03 07:52 AM - Sandro Santilli

Well, I pushed to 2.8 branch (so fix will be in 2.8.3) and master (for 2.11)
#4 - 2015-07-03 07:52 AM - Sandro Santilli

- Resolution set to fixed/implemented

- % Done changed from 0 to 100

- Assignee set to Sandro Santilli
